Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,432 Views

toolchain-build error using nios2-linux-20100621

hi for all 

i've working on my FPGA cyclone 3 board using nios2-linux-20080619 , all work fine  

but when i use nios2-linux-20100621 , to built toolchain-buit , ia have some error like 

 

CC libpthread/linuxthreads.old/attr.o CC libpthread/linuxthreads.old/cancel.o In file included from ./include/sys/syscall.h:34, from libpthread/linuxthreads.old/restart.h:16, from libpthread/linuxthreads.old/cancel.c:23: ./include/bits/syscalls.h:10:23: asm/traps.h: No such file or directory make[1]: *** [libpthread/linuxthreads.old/cancel.o] Error 1 make[1]: Leaving directory `/home/zizu/nios2-linux/uClibc' make: *** [/home/zizu/nios2-linux/toolchain-build/../uClibc/lib/libc.a] Error 2
0 Kudos
9 Replies
Altera_Forum
Honored Contributor I
54 Views

are you sure you are using make 3.81? The later versions of linux distributions use make 3.82 by default. 

 

Check the make version using 'make -v'. If it is indeed 3.82, rename it to something other than 'make', perhaps make3.82 and then install make version 3.81 from the sources. Add the new make binary (v3.81) to your PATH and re-login. 

 

Regards, 

Aijaz
Altera_Forum
Honored Contributor I
54 Views

thank's fot your answer , i check my Make version , it's V3.81 

i think , the problem is in the uClibc , but i have not the solution ,  

if any body have solution , please , i need it soon
Altera_Forum
Honored Contributor I
54 Views

ask in Nios Linux mailing list.

Altera_Forum
Honored Contributor I
54 Views

how can use Nios Linux mailing list

Altera_Forum
Honored Contributor I
54 Views

subscribe and read the rules.

Altera_Forum
Honored Contributor I
54 Views

i have update my nios2-linux-20100621 using 

- 

cd nios2-linux 

cd linux-2.6  

git fetch origin 

git branch nios2 

git checkout -f nios2  

git clean -f -x -d  

cd ..  

cd uClinux-dist  

git fetch origin 

git branch trunk origin/trunk  

git checkout -f trunk  

git clean -f -x -d 

 

i have not my first error , but i have a new error like that : 

libpthread/linuxthreads.old/wrapsyscall.c:101: error: redefinition of 'msync' 

./include/sys/mman.h:97: error: previous definition of 'msync' was here 

make: *** [libpthread/linuxthreads.old/wrapsyscall.o] Error 1
Altera_Forum
Honored Contributor I
54 Views

Hi, 

 

Is this problem been resolved? I would like to know how please.. 

 

I am experiencing same error. someone says it is a GCC 4.6 problem.. downgrading to gcc 4.1 solves the problem.. I am battling how to downgrade GCC4.6 to 4.1 with no success.. 

 

I am using fedora 16 fyi. I wonder what fedora version uses gcc 4.1.. 

running out of option here.. 

 

rgds, 

JOSE
Altera_Forum
Honored Contributor I
54 Views

Hi,  

 

i am still trying to figure out a solution for the following error 

 

CC libpthread/linuxthreads.old/attr.o CC libpthread/linuxthreads.old/cancel.o In file included from ./include/sys/syscall.h:34, from libpthread/linuxthreads.old/restart.h:16, from libpthread/linuxthreads.old/cancel.c:23: ./include/bits/syscalls.h:10:23: asm/traps.h: No such file or directory make[1]: *** [libpthread/linuxthreads.old/cancel.o] Error 1 make[1]: Leaving directory `/home/zizu/nios2-linux/uClibc' make: *** [/home/zizu/nios2-linux/toolchain-build/../uClibc/lib/libc.a] Error 2 

 

any solution please. I have no idea about how to proceed from here..  

 

I tried to branch the toolchain with nios2 and trunk as well. but nothing works.. 

 

I am using Ubuntu 10.10, gcc 4.1
Altera_Forum
Honored Contributor I
54 Views

Afaik I've seen such errors when tried to compile the toolchain using the manual on the internet. It said to compile all the stuff at once, like: make this, make that, make everything_work <- didn't work. Go for separate steps. Firstly make first software, then go to second by hand, etc. Helped for me.

Reply